| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::plot::Plot2d Class Referenceabstract
Plot function for Mat data

`#include <opencv2/plot.hpp>`

Inheritance diagram for cv::plot::Plot2d:

## Public Member Functions
virtual void | render (OutputArray _plotResult)=0
virtual void | setGridLinesNumber (int gridLinesNumber)=0
virtual void | setInvertOrientation (bool _invertOrientation)=0
virtual void | setMaxX (double _plotMaxX)=0
virtual void | setMaxY (double _plotMaxY)=0
virtual void | setMinX (double _plotMinX)=0
virtual void | setMinY (double _plotMinY)=0
virtual void | setNeedPlotLine (bool _needPlotLine)=0
| Switches data visualization mode. More...
virtual void | setPlotAxisColor (Scalar _plotAxisColor)=0
virtual void | setPlotBackgroundColor (Scalar _plotBackgroundColor)=0
virtual void | setPlotGridColor (Scalar _plotGridColor)=0
virtual void | setPlotLineColor (Scalar _plotLineColor)=0
virtual void | setPlotLineWidth (int _plotLineWidth)=0
virtual void | setPlotSize (int _plotSizeWidth, int _plotSizeHeight)=0
virtual void | setPlotTextColor (Scalar _plotTextColor)=0
virtual void | setPointIdxToPrint (int pointIdx)=0
| Sets the index of a point which coordinates will be printed on the top left corner of the plot (if ShowText flag is true). More...
virtual void | setShowGrid (bool needShowGrid)=0
virtual void | setShowText (bool needShowText)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< Plot2d > | create (InputArray data)
| Creates Plot2d object. More...
static Ptr< Plot2d > | create (InputArray dataX, InputArray dataY)
| Creates Plot2d object. More...
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Member Function Documentation

## ◆ create() [1/2]

static Ptr<Plot2d> cv::plot::Plot2d::create | ( | InputArray | data | ) |
| static

Python:
| retval | = | cv.plot.Plot2d_create( | data | )
| retval | = | cv.plot.Plot2d_create( | dataX, dataY | )

Creates Plot2d object.

Parameters

  data | \(1xN\) or \(Nx1\) matrix containing \(Y\) values of points to plot. \(X\) values will be equal to indexes of correspondind elements in data matrix.

## ◆ create() [2/2]

static Ptr<Plot2d> cv::plot::Plot2d::create | ( | InputArray | dataX,
|  | InputArray | dataY
| ) |  |
| static

Python:
| retval | = | cv.plot.Plot2d_create( | data | )
| retval | = | cv.plot.Plot2d_create( | dataX, dataY | )

Creates Plot2d object.

Parameters

  dataX | \(1xN\) or \(Nx1\) matrix \(X\) values of points to plot.
  dataY | \(1xN\) or \(Nx1\) matrix containing \(Y\) values of points to plot.

## ◆ render()

virtual void cv::plot::Plot2d::render | ( | OutputArray | _plotResult | ) |
| pure virtual

Python:
| _plotResult | = | cv.plot_Plot2d.render( | [, _plotResult] | )

## ◆ setGridLinesNumber()

virtual void cv::plot::Plot2d::setGridLinesNumber | ( | int | gridLinesNumber | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setGridLinesNumber( | gridLinesNumber | )

## ◆ setInvertOrientation()

virtual void cv::plot::Plot2d::setInvertOrientation | ( | bool | _invertOrientation | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setInvertOrientation( | _invertOrientation | )

## ◆ setMaxX()

virtual void cv::plot::Plot2d::setMaxX | ( | double | _plotMaxX | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setMaxX( | _plotMaxX | )

## ◆ setMaxY()

virtual void cv::plot::Plot2d::setMaxY | ( | double | _plotMaxY | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setMaxY( | _plotMaxY | )

## ◆ setMinX()

virtual void cv::plot::Plot2d::setMinX | ( | double | _plotMinX | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setMinX( | _plotMinX | )

## ◆ setMinY()

virtual void cv::plot::Plot2d::setMinY | ( | double | _plotMinY | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setMinY( | _plotMinY | )

## ◆ setNeedPlotLine()

virtual void cv::plot::Plot2d::setNeedPlotLine | ( | bool | _needPlotLine | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setNeedPlotLine( | _needPlotLine | )

Switches data visualization mode.

Parameters

  _needPlotLine | if true then neighbour plot points will be connected by lines. In other case data will be plotted as a set of standalone points.

## ◆ setPlotAxisColor()

virtual void cv::plot::Plot2d::setPlotAxisColor | ( | Scalar | _plotAxisColor | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setPlotAxisColor( | _plotAxisColor | )

## ◆ setPlotBackgroundColor()

virtual void cv::plot::Plot2d::setPlotBackgroundColor | ( | Scalar | _plotBackgroundColor | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setPlotBackgroundColor( | _plotBackgroundColor | )

## ◆ setPlotGridColor()

virtual void cv::plot::Plot2d::setPlotGridColor | ( | Scalar | _plotGridColor | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setPlotGridColor( | _plotGridColor | )

## ◆ setPlotLineColor()

virtual void cv::plot::Plot2d::setPlotLineColor | ( | Scalar | _plotLineColor | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setPlotLineColor( | _plotLineColor | )

## ◆ setPlotLineWidth()

virtual void cv::plot::Plot2d::setPlotLineWidth | ( | int | _plotLineWidth | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setPlotLineWidth( | _plotLineWidth | )

## ◆ setPlotSize()

virtual void cv::plot::Plot2d::setPlotSize | ( | int | _plotSizeWidth,
|  | int | _plotSizeHeight
| ) |  |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setPlotSize( | _plotSizeWidth, _plotSizeHeight | )

## ◆ setPlotTextColor()

virtual void cv::plot::Plot2d::setPlotTextColor | ( | Scalar | _plotTextColor | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setPlotTextColor( | _plotTextColor | )

## ◆ setPointIdxToPrint()

virtual void cv::plot::Plot2d::setPointIdxToPrint | ( | int | pointIdx | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setPointIdxToPrint( | pointIdx | )

Sets the index of a point which coordinates will be printed on the top left corner of the plot (if ShowText flag is true).

Parameters

  pointIdx | index of the required point in data array.

## ◆ setShowGrid()

virtual void cv::plot::Plot2d::setShowGrid | ( | bool | needShowGrid | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setShowGrid( | needShowGrid | )

## ◆ setShowText()

virtual void cv::plot::Plot2d::setShowText | ( | bool | needShowText | ) |
| pure virtual

Python:
| None | = | cv.plot_Plot2d.setShowText( | needShowText | )

The documentation for this class was generated from the following file:

- opencv2/plot.hpp